﻿@model web_app_voice.ModelsDto.AudiosDto.AudioCreateEditDto
<div class="modal fade" id="link-create-edit" tabindex="-1" role="dialog" aria-labelledby="linkCreateEditLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="linkCreateEditLabel">Create/Edit Link</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form asp-action="SaveModalData" enctype="multipart/form-data" method="post">
                    <input name="IsValid" type="hidden" value="@ViewData.ModelState.IsValid.ToString()" />
                    @Html.HiddenFor(@model => model.AudioID)

                    <div class="form-group">
                        <label asp-for="OrganizationID" class="control-label">Organization</label>
                        @Html.DropDownListFor(model => model.OrganizationID, Model.Organizations, "-- Select Organization --", new { @class = "form-control" })
                    </div>

                    <div class="form-group">
                        <label asp-for="AudioTypeID" class="control-label">Audio Type</label>
                        @Html.DropDownListFor(model => model.AudioTypeID, Model.AudioTypes, "-- Select Audio Type --", new { @class = "form-control" })
                    </div>

                    <div class="form-group">
                        <label asp-for="SystemName"></label>
                        <input asp-for="SystemName" class="form-control" />
                        <span asp-validation-for="SystemName" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <label asp-for="SystemName"></label>
                        <input asp-for="SystemName" class="form-control" />
                        <span asp-validation-for="SystemName" class="text-danger"></span>
                    </div>


                    <div class="form-group">
                        <label asp-for="SpeakOutLTU"></label>
                        <input asp-for="SpeakOutLTU" class="form-control" />
                        <span asp-validation-for="SpeakOutLTU" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <label asp-for="SpeakOutEN"></label>
                        <input asp-for="SpeakOutEN" class="form-control" />
                        <span asp-validation-for="SpeakOutEN" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <label>Choose File:</label>
                        <div class="input-group">
                            <span class="input-group-btn">
                                <span class="btn btn-primary" onclick="$(this).parent().find('input[type=file]').click();">Browse</span>
                                <input Name="Upload" id="Upload" onchange="$(this).parent().parent().find('.form-control').html($(this).val().split(/[\\|/]/).pop());" style="display: none;" type="file">
                            </span>
                            <span class="form-control"></span>

                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" data-save="modal">Save</button>
            </div>
        </div>
    </div>
</div>